> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fanhaven.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Events

> List and retrieve tour dates with the Fanhaven API.

Events are the dates on the tour bound to the API key.

Required scope: `events:read`.

## List events

```
GET /v1/events
```

| Query           | Description                         |
| --------------- | ----------------------------------- |
| `page`          | Page number. Default `1`.           |
| `per_page`      | Page size. Default `25`, max `100`. |
| `starts_after`  | ISO date lower bound                |
| `starts_before` | ISO date upper bound                |

```bash theme={null}
curl "https://api.fanhaven.com/v1/events" \
  -H "Authorization: Bearer fh_live_..."
```

## Retrieve an event

```
GET /v1/events/:id
```

```bash theme={null}
curl "https://api.fanhaven.com/v1/events/evt_..." \
  -H "Authorization: Bearer fh_live_..."
```

## Event object

```json theme={null}
{
  "id": "evt_...",
  "name": "Brooklyn Steel",
  "venue_name": "Brooklyn Steel",
  "venue_address": "319 Frost St",
  "venue_city": "Brooklyn",
  "venue_state": "NY",
  "venue_country": "US",
  "venue_zip_code": "11222",
  "date": "2026-09-12T00:00:00.000Z",
  "start_time": "2026-09-12T23:00:00.000Z",
  "end_date": null,
  "end_time": null,
  "is_public": true,
  "ticketing_enabled": false,
  "expected_attendance": 1800,
  "venue_capacity": 1800
}
```
